# AddVoucherModifier | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class AddVoucherModifier

#### Hierarchy (View Summary)

- ConsumableModifier
  - AddVoucherModifier

- Defined in src/modifier/modifier.ts:309

##### Index

### Constructors

constructor

### Properties

type

### Methods

add
apply
match
shouldApply

## Constructors

### constructor

- new AddVoucherModifier(
  type: ModifierType ,
  voucherType: VoucherType ,
  count: number,
  ): AddVoucherModifier

  #### Parameters

  - type: ModifierType
  - voucherType: VoucherType
  - count: number

  #### Returns AddVoucherModifier

  Overrides ConsumableModifier.constructor

  - Defined in src/modifier/modifier.ts:313

## Properties

### type

type: ModifierType

Inherited from ConsumableModifier.type

- Defined in src/modifier/modifier.ts:159

## Methods

### add

- add(_modifiers: Modifier []): boolean

  #### Parameters

  - _modifiers: Modifier []

  #### Returns boolean

  Inherited from ConsumableModifier.add

  - Defined in src/modifier/modifier.ts:277

### apply

- apply(): boolean

  Applies AddVoucherModifier

  #### Returns boolean

  always `true`

  Overrides ConsumableModifier.apply

  - Defined in src/modifier/modifier.ts:325

### match

- match(_modifier: Modifier ): boolean

  #### Parameters

  - _modifier: Modifier

  #### Returns boolean

  Inherited from ConsumableModifier.match

  - Defined in src/modifier/modifier.ts:165

### shouldApply

- shouldApply(..._args: []): boolean

  Checks if `Modifier` should be applied

  #### Parameters

  - ..._args: []

    parameters passed to `Modifier.apply`

  #### Returns boolean

  always `true` by default

  Inherited from ConsumableModifier.shouldApply

  - Defined in src/modifier/modifier.ts:174